server:
  port: 8000

guns:
  swagger-open: true              #是否开启swagger (true/false)
  kaptcha-open: false             #是否开启登录时验证码 (true/false)
  file-upload-path: ${IMAGE_UPLOAD_PATH}    #文件上传目录(不配置的话为java.io.tmpdir目录)
  spring-session-open: false      #是否开启spring session,如果是多机环境需要开启(true/false)
  session-invalidate-time: 1800     #session失效时间(只在单机环境下生效，多机环境在SpringSessionConfig类中配置) 单位：秒
  session-validation-interval: 900  #多久检测一次失效的session(只在单机环境下生效) 单位：秒

beetl:
  resource-auto-check: true       #热加载beetl模板，开发时候用

spring:
  mvc:
    static-path-pattern: /static/**
    view:
      prefix: /WEB-INF/view
  devtools:
    restart:
      enabled: false
      additional-paths: src/main/java
      exclude: static/**,WEB-INF/view/**
  servlet:
    multipart:
      max-request-size: 100MB
      max-file-size: 100MB

mybatis-plus:
  typeAliasesPackage: com.nikati.manage.modular.system.model

log:
  path: manage-logs

---

spring:
  datasource:
    url: jdbc:mysql://${DB_HOST}:${DB_PORT}/${DB_DATABASE}?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=CTT
    username: ${DB_USERNAME}
    password: ${DB_PASSWORD}
    filters: wall,mergeStat



